int IR_SENSOR = 8;   // Setze den Pin 8 als Anschluss für den Sensor
int LED_rot   = 13;  // Setze den Pin 13 als Anschluss für die LED bei Hindernis
int LED_grün  = 12;  // Setze den Pin 12 als Anschluss für die LED bei freier Bahn

void setup() {
  pinMode(IR_SENSOR, INPUT);  // Setze den Sensor-Pin als INPUT, da dieser ein
                              // Signal an den Arduino senden soll
  pinMode(LED, OUTPUT);       // Setze die LED als OUTPUT
}

void loop() {
  if (digitalRead(IR_SENSOR) == 0) {  // Auslesen, ob IR-Sensor das Signal gibt,
                                      // dass ein Hindernis vor ihm ist
    digitalWrite(LED_rot, HIGH);  // Wenn ja, soll die LED leuchten
  } else {
    digitalWrite(LED_grün, HIGH);  // Wenn nicht, soll die LED nicht leuchten
  }
}
