int IR_SENSOR = 8;   // Setze den Pin 8 als Anschluss für den Sensor
int LED       = 13;  // Setze den Pin 13 als Anschluss für die LED

void setup() {
  pinMode(IR_SENSOR, INPUT);  // Setze den Sensor-Pin als INPUT, da dieser ein
                              // Signal an den Arduino senden soll
  pinMode(LED, OUTPUT);       // Setze die LED als OUTPUT
}

void loop() {
  if (digitalRead(IR_SENSOR) == 0) {  // Auslesen, ob IR-Sensor das Signal gibt,
                                      // dass ein Hindernis vor ihm ist
    digitalWrite(LED, HIGH);  // Wenn ja, soll die LED leuchten
  } else {
    digitalWrite(LED, LOW);  // Wenn nicht, soll die LED nicht leuchten
  }
}
